Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.startup
Class BootCommSystemJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.startup.BootCommSystemJob

All Implemented Interfaces:
  Job

    public class BootCommSystemJob

extends JobImpl

This actually boots almost everything

Field Summary
`static String` | `PROP_USE_TRUSTED_LINKS`

Constructor Summary
`BootCommSystemJob(RouterContext context)`

Method Summary
`String` | `getName()` Descriptive name of the task
`void` | `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_USE_TRUSTED_LINKS

    public static final String PROP_USE_TRUSTED_LINKS

See Also:
  Constant Field Values

Constructor Detail

### BootCommSystemJob

    public BootCommSystemJob(RouterContext context)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD